[Kernel-packages] [Bug 1813701] Re: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10)

2019-01-30 Thread Ivan Grigoryev
I rechecked all kernels of version 4.18 again. No bug kernels only: 4.18.0-10-generic #11-Ubuntu SMP Thu Oct 11 15:13:55 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux 4.18.12-041812-generic #201810032137 SMP Thu Oct 4 01:39:48 UTC 2018 x86_64 x86_64 x86_64 GNU/Linux 4.18.11-041811-generic

[Kernel-packages] [Bug 1813701] Re: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10)

2019-01-29 Thread Daniel van Vugt
Thanks. If there is no bug at kernel 4.18.10, did you verify the bug is present in 4.18.11? -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu. https://bugs.launchpad.net/bugs/1813701 Title: [amdgpu] Flickering graphics

[Kernel-packages] [Bug 1813701] Re: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10)

2019-01-29 Thread Ivan Grigoryev
sorry typo, kernel version 4.18 -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu. https://bugs.launchpad.net/bugs/1813701 Title: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none

[Kernel-packages] [Bug 1813701] Re: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10)

2019-01-29 Thread Ivan Grigoryev
Ok, I consistently checked the kernels from version 10.18.20 to 10.18.10. There is no bug at 10.18.10. If you need it later, I can check on versions from 10.18.9 to 10.18.1. What need to provide logs on the working core? -- You received this bug notification because you are a member of Kernel

[Kernel-packages] [Bug 1813701] Re: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10)

2019-01-29 Thread Daniel van Vugt
For any given directory/folder on that site, scroll down to: Build for amd64 succeeded and then download/install that set of packages, except for the "lowlatency" ones. You don't need "lowlatency". -- You received this bug notification because you are a member of Kernel Packages, which is

[Kernel-packages] [Bug 1813701] Re: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10)

2019-01-29 Thread Ivan Grigoryev
what packages do I need to install? for example for kernel version 4.18.16 linux-headers-4.18.16-041816-generic_4.18.16-041816.201810200431_amd64.deb linux-headers-4.18.16-041816_4.18.16-041816.201810200431_all.deb linux-image-unsigned-4.18.16-041816-generic_4.18.16-041816.201810200431_amd64.deb ?

[Kernel-packages] [Bug 1813701] Re: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10)

2019-01-29 Thread Daniel van Vugt
Sounds like we _could_ make this a duplicate of bug 1802976. But I wouldn't just yet... If you are sure that reverting to an older kernel like 4.18.0-10 fixes the problem then we should focus on that here. Can you please find the *latest* older kernel version that fixes the problem from this

[Kernel-packages] [Bug 1813701] Re: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10)

2019-01-29 Thread Ivan Grigoryev
I think this problem is identical to mine. https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-amdgpu/+bug/1802976 I also found some more videos confirming the problem on Ubuntu 18.04 https://www.youtube.com/watch?v=jYdoA7wTuz4 https://www.youtube.com/watch?v=BqBc9kZvjHQ -- You

[Kernel-packages] [Bug 1813701] Re: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10)

2019-01-29 Thread Ivan Grigoryev
** Description changed: - Экран всегда мигает с частотой 75 ГГц на графическом процессоре AMD RX 580. На частотах 60 и 50 ГГц, если вы переключитесь на любую другую, кроме 75, мерцание исчезнет, ​​пока дисплей не выключится. После включения мерцание возвращается. На ядре 4.18.0-10 также как на

[Kernel-packages] [Bug 1813701] Re: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10)

2019-01-29 Thread Ivan Grigoryev
** Attachment added: "dmesg.txt" https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-amdgpu/+bug/1813701/+attachment/5233585/+files/dmesg.txt -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu.

[Kernel-packages] [Bug 1813701] Re: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10)

2019-01-29 Thread Ivan Grigoryev
** Attachment added: "journal.txt" https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-amdgpu/+bug/1813701/+attachment/5233587/+files/journal.txt -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu.

[Kernel-packages] [Bug 1813701] Re: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10)

2019-01-29 Thread Ivan Grigoryev
** Attachment added: "lspcik.txt" https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-amdgpu/+bug/1813701/+attachment/5233588/+files/lspcik.txt -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu.

[Kernel-packages] [Bug 1813701] Re: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10)

2019-01-29 Thread Ivan Grigoryev
** Attachment added: "Xorg.0.log" https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-amdgpu/+bug/1813701/+attachment/5233584/+files/Xorg.0.log -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu.

[Kernel-packages] [Bug 1813701] Re: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10)

2019-01-29 Thread Daniel van Vugt
Thanks. Next please: 1. Send us copies of /var/log/Xorg*.log 2. Run: dmesg > dmesg.txt and send the file 'dmesg.txt'. 3. Run: lspci -k > lspcik.txt and send the file 'lspcik.txt' 4. Run: journalctl -b0 > journal.txt and send the file 'journal.txt'. -- You received this bug

[Kernel-packages] [Bug 1813701] Re: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10)

2019-01-28 Thread Ivan Grigoryev
This problem is detected immediately after installing the system. I tried to install third-party drivers to fix the problem, but it did not help. Now all removed -- You received this bug notification because you are a member of Kernel Packages, which is subscribed to linux in Ubuntu.

[Kernel-packages] [Bug 1813701] Re: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10)

2019-01-28 Thread Ivan Grigoryev
third-party PPA removed, packages updated ** Attachment added: "allpackages.txt" https://bugs.launchpad.net/ubuntu/+source/xserver-xorg-video-amdgpu/+bug/1813701/+attachment/5233430/+files/allpackages.txt -- You received this bug notification because you are a member of Kernel Packages,

[Kernel-packages] [Bug 1813701] Re: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10)

2019-01-28 Thread Daniel van Vugt
Yes, please remove both of those from your system and follow the steps in comment #3. The drivers you installed seem to be causing problems so we can't really see the original problem right now. -- You received this bug notification because you are a member of Kernel Packages, which is

[Kernel-packages] [Bug 1813701] Re: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10)

2019-01-28 Thread Daniel van Vugt
The correct "free" drivers come built into Ubuntu automatically. If you install unofficial drivers like "https://launchpad.net/~oibaf/+archive/ubuntu/graphics-drivers; then we cannot help you. -- You received this bug notification because you are a member of Kernel Packages, which is subscribed

[Kernel-packages] [Bug 1813701] Re: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10)

2019-01-28 Thread Ivan Grigoryev
To get rid of the problem, I tried to install the amdgpu-pro driver 18.50, but it is supported only in ubuntu 18.04. Then I installed the free driver https://launchpad.net/~oibaf/+archive/ubuntu/graphics- drivers. but unfortunately the problem is not solved. ** Description changed: - The screen

[Kernel-packages] [Bug 1813701] Re: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10)

2019-01-28 Thread Daniel van Vugt
Oh, it appears you have at least one unsupported PPA installed that has replaced some graphics packages: version.libdrm2: libdrm2 2.4.97+git1901221830.b7a7a9~oibaf~c version.libgl1-mesa-dri: libgl1-mesa-dri 19.0~git1901280730.d1d2bb~oibaf~c Please: 1. Remove that PPA from the system using

[Kernel-packages] [Bug 1813701] Re: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10)

2019-01-28 Thread Daniel van Vugt
It looks like a problem with the Xorg graphics driver: [44.332] (EE) amdgpu: module ABI major version (23) doesn't match the server's version (24) [44.332] (EE) Failed to load module "amdgpu" (module requirement mismatch, 0) so your system then falls back to using the 'modeset' Xorg

[Kernel-packages] [Bug 1813701] Re: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10)

2019-01-28 Thread Daniel van Vugt
** Summary changed: - the screen flickers. Ubuntu 18 + AMD RX580 + [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10) ** Package changed: xorg (Ubuntu) => xserver-xorg-video-amdgpu (Ubuntu) ** Also affects: linux (Ubuntu)

[Kernel-packages] [Bug 1813701] Re: [amdgpu] Flickering graphics corruption in kernel 4.18.0-13.14-generic 4.18.17 (but none observed in kernel 4.18.0-10)

2019-01-28 Thread Ivan Grigoryev
** Description changed: - the screen flickers always at a frequency of 75 GHz. At frequencies of 60 and 50 GHz, if you change to any other except 75, the flicker disappears until the display is turned off. After switching on, flicker returns. on kernel 4.18.0-10, the problem is not seen. more